Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class CompositeObject

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.CompositeObject

Direct Known Subclasses:
  ContainerObject, GraphicsObject

    @PDF(value=PDF10)
    public abstract class CompositeObject

extends ContentObject

Composite object. It is made up of multiple content objects.

Since:
  0.0.4
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`protected List<ContentObject>` | `objects`

Constructor Summary
`protected` | `CompositeObject()`
`protected` | `CompositeObject(ContentObject... objects)`
`protected` | `CompositeObject(ContentObject object)`
`protected` | `CompositeObject(List<ContentObject> objects)`

Method Summary
`protected Shape` | `createRenderObject()` Creates the rendering object corresponding to this container.
`Operation` | `getHeader()` Gets the object header.
`List<ContentObject>` | `getObjects()` Gets the list of inner objects.
`protected boolean` | `render(ContentScanner.GraphicsState state)` Renders this container.
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.
`void` | `setHeader(Operation value)`
`String` | `toString()`
`void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objects

    protected List<ContentObject> objects

Constructor Detail

### CompositeObject

    protected CompositeObject()

### CompositeObject

    protected CompositeObject(ContentObject object)

### CompositeObject

    protected CompositeObject(ContentObject... objects)

### CompositeObject

    protected CompositeObject(List<ContentObject> objects)

Method Detail

### getHeader

    public Operation getHeader()

  Gets the object header.

### getObjects

    public List<ContentObject> getObjects()

  Gets the list of inner objects.

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

### setHeader

    public void setHeader(Operation value)

  See Also:
    `getHeader()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### writeTo

    public void writeTo(IOutputStream stream,
                        Document context)

  Description copied from class: `ContentObject`
  Serializes this object to the specified stream.

  Specified by:
    `writeTo` in class `ContentObject`
  Parameters:
    `stream` - Target stream.
    `context` - Document context.

### createRenderObject

    protected Shape createRenderObject()

  Creates the rendering object corresponding to this container.

### render

    protected boolean render(ContentScanner.GraphicsState state)

  Renders this container.

  Parameters:
    `state` - Graphics state.
  Returns:
    Whether the rendering has been executed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.